<h2>
    Contact
</h2>
<div *ngIf="sentMessage then formContact else successMessage"></div>

<ng-template #formContact>
    <div class="card shadow p-3">
        <form [formGroup]="contactGroup" (ngSubmit)="submit()">
            <div class="form-group">
                <label for="email">Email</label>
                <input id="email" type="text" formControlName="email">
                <fp-form-errors *ngIf="email.invalid && (email.dirty || email.touched)"
                                [errors]="email.errors"
                                [messages]="emailInputMessages"
                ></fp-form-errors>

            </div>
            <div class="form-group">
                <label for="message">Message</label>
                <input id="message" type="text" formControlName="message">
                <fp-form-errors *ngIf="message.invalid && (message.dirty || message.touched)"
                                [errors]="message.errors"
                                [messages]="messageInputMessages"
                ></fp-form-errors>
            </div>
            <button class="btn btn-danger mt-2" [disabled]="contactGroup.invalid">
                Send message
            </button>
        </form>
    </div>
</ng-template>
<ng-template #successMessage>
    <div class="alert alert-success">
        Thank you. Message was sent successfully.
    </div>
</ng-template>
